### Method

# Clutter Script connect_signals_full

#### Declaration [src]

    void
    clutter_script_connect_signals_full (
      ClutterScript* script,
      ClutterScriptConnectFunc func,
      gpointer user_data
    )

#### Description [src]

Connects all the signals defined into a UI definition file to their handlers.

This function allows to control how the signal handlers are going to be connected to their respective signals. It is meant primarily for language bindings to allow resolving the function names using the native API, but it can also be used on platforms that do not support GModule.

Applications should use `clutter_script_connect_signals()`.

#### Parameters

`func`

  Type: `ClutterScriptConnectFunc`

  Signal connection function.

`user_data`

  Type: `gpointer`

  Data to be passed to the signal handlers, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.